Ir a la documentación
API

Obtener un elemento de conocimiento

Un elemento con su texto.

GET/knowledge/{id}

Ejecuta la llamada real en tu espacio de trabajo.

GET /knowledge/{id}

Un elemento con su texto.

Ejemplo

Requiere knowledge:read. body es el texto de una nota. preview son los primeros 20.000 caracteres leídos de un archivo o una página, null hasta que se ha leído, y previewTruncated dice si el texto continúa.

curl
curl "$OE/knowledge/kb_8c1f4a2b9d7e3f60a5c7b21d" -H "$AUTH"
Respuesta
{  "object": "knowledge_item",  "id": "kb_8c1f4a2b9d7e3f60a5c7b21d",  "kind": "note",  "scope": "@acme.com",  "level": "domain",  "title": "Refunds",  "url": null,  "fileName": null,  "mimeType": null,  "sizeBytes": null,  "pinned": true,  "status": "ready",  "failure": null,  "chunks": 1,  "chars": 71,  "origin": "api",  "createdBy": "usr_5f2a9c71",  "createdAt": "2026-10-08T09:12:44.000Z",  "updatedAt": "2026-10-08T09:12:44.000Z",  "indexedAt": "2026-10-08T09:12:45.000Z",  "body": "Refunds are paid within 14 days of the return reaching our warehouse.",  "preview": "Refunds are paid within 14 days of the return reaching our warehouse.",  "previewTruncated": false}

Un id desconocido, y un elemento en un nivel que la clave no puede ver, responden 404 knowledge_not_found.

Referencia